summaryrefslogtreecommitdiff
path: root/source/l
diff options
context:
space:
mode:
authorPatrick J Volkerding <volkerdi@slackware.com>2018-09-12 21:19:38 +0000
committerEric Hameleers <alien@slackware.com>2018-09-13 09:00:32 +0200
commit4ccd8ebc9a81dc3f38e2a81b044788b9f1e6dd6e (patch)
tree9db69cd6844d576aa97a12f01166f84c3db65fe8 /source/l
parent4ffeac73188b0486a8c6a6dac099a2675276e599 (diff)
downloadcurrent-4ccd8ebc9a81dc3f38e2a81b044788b9f1e6dd6e.tar.gz
Wed Sep 12 21:19:38 UTC 201820180912211938
a/elilo-3.16-x86_64-8.txz: Rebuilt. eliloconfig: this was occasionally failing and the issue was traced to the script's use of tr (not sure why still). Replaced the construct with sed and the issue seems to have gone away. a/openssl-solibs-1.1.1-x86_64-1.txz: Upgraded. d/binutils-2.31.1-x86_64-3.txz: Rebuilt. Do not install the Windows-specific tools. Not only are these useless on Linux, but the presence of windres fools freetype into thinking that it is on a Windows system, leading to a build failure. d/git-2.19.0-x86_64-1.txz: Upgraded. l/freetype-2.9.1-x86_64-1.txz: Upgraded. l/harfbuzz-1.9.0-x86_64-1.txz: Upgraded. l/media-player-info-24-noarch-1.txz: Upgraded. l/pcre2-10.32-x86_64-1.txz: Upgraded. l/sg3_utils-1.43-x86_64-1.txz: Upgraded. n/openssl-1.1.1-x86_64-1.txz: Upgraded. x/fontconfig-2.13.1-x86_64-1.txz: Upgraded. We had problem reports with fontconfig-2.13.0 which led to it being reverted but we'll try it again. Please let me know if the issues (with Wine iirc) persist. x/libinput-1.12.0-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/freetype/freetype.SlackBuild20
-rwxr-xr-xsource/l/media-player-info/media-player-info.SlackBuild6
-rwxr-xr-xsource/l/pcre2/pcre2.SlackBuild2
-rwxr-xr-xsource/l/sg3_utils/sg3_utils.SlackBuild2
-rw-r--r--source/l/sg3_utils/sg3_utils.url (renamed from source/l/sg3_utils/sg3_utils.info)0
5 files changed, 23 insertions, 7 deletions
diff --git a/source/l/freetype/freetype.SlackBuild b/source/l/freetype/freetype.SlackBuild
index ffe81421..2adce0b5 100755
--- a/source/l/freetype/freetype.SlackBuild
+++ b/source/l/freetype/freetype.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=freetype
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -96,7 +96,23 @@ zcat $CWD/freetype.illadvisederror.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/freetype.compile.both.subpixel.hinting.methods.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
-CFLAGS="$SLKCFLAGS" make setup CFG="--prefix=/usr --libdir=/usr/lib${LIBDIRSUFFIX} --build=$ARCH-slackware-linux"
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --with-zlib=yes \
+ --with-bzip2=yes \
+ --with-png=yes \
+ --enable-freetype-config \
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/l/media-player-info/media-player-info.SlackBuild b/source/l/media-player-info/media-player-info.SlackBuild
index 705d3154..575e9573 100755
--- a/source/l/media-player-info/media-player-info.SlackBuild
+++ b/source/l/media-player-info/media-player-info.SlackBuild
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=media-player-info
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
ARCH=noarch
@@ -45,7 +45,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
diff --git a/source/l/pcre2/pcre2.SlackBuild b/source/l/pcre2/pcre2.SlackBuild
index f38ef39f..0b38406b 100755
--- a/source/l/pcre2/pcre2.SlackBuild
+++ b/source/l/pcre2/pcre2.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pcre2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
diff --git a/source/l/sg3_utils/sg3_utils.SlackBuild b/source/l/sg3_utils/sg3_utils.SlackBuild
index 4cb7d1fd..09d391b4 100755
--- a/source/l/sg3_utils/sg3_utils.SlackBuild
+++ b/source/l/sg3_utils/sg3_utils.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sg3_utils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
diff --git a/source/l/sg3_utils/sg3_utils.info b/source/l/sg3_utils/sg3_utils.url
index f429377e..f429377e 100644
--- a/source/l/sg3_utils/sg3_utils.info
+++ b/source/l/sg3_utils/sg3_utils.url